import { useEffect, useState } from "react";
import SubjectsApiService from "../services/SubjectsApiService";

export const useSubjects = () => {
    const [subjectsRefresh, setSubjectsRefresh] = useState(false);
    const [subjects, setSubjects] = useState([]);
    const handleSubjectsRefresh = () => setSubjectsRefresh(!subjectsRefresh);

    const getSubjects = async () => {
        const data = await SubjectsApiService.getAll();
        setSubjects(data ?? []);
    };

    useEffect(() => {
        getSubjects();
    }, [subjectsRefresh]);

    return {
        subjects,
        handleSubjectsRefresh,
    };
};
